| Flutter Linux Embedder |

Functions
fl_texture_gl_private.h File Reference
`#include "flutter/shell/platform/embedder/embedder.h"`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_texture_gl.h"`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_texture_registrar.h"`

Go to the source code of this file.

## Functions
G_BEGIN_DECLS gboolean | fl_texture_gl_populate (FlTextureGL *texture, uint32_t width, uint32_t height, FlutterOpenGLTexture *opengl_texture, GError **error)

## Function Documentation

## ◆ fl_texture_gl_populate()

G_BEGIN_DECLS gboolean fl_texture_gl_populate | ( | FlTextureGL * | texture,
|  | uint32_t | width,
|  | uint32_t | height,
|  | FlutterOpenGLTexture * | opengl_texture,
|  | GError ** | error
| ) |  |

fl_texture_gl_populate: @texture: an #FlTextureGL. @width: width of the texture. @height: height of the texture. @opengl_texture: (out): return an #FlutterOpenGLTexture. @error: (allow-none): #GError location to store the error occurring, or NULL to ignore.

Attempts to populate the specified @opengl_texture with texture details such as the name, width, height and the pixel format.

Returns: TRUE on success.

Definition at line 50 of file fl_texture_gl.cc.

54 {
55 uint32_t target = 0, name = 0;
56 if (!FL_TEXTURE_GL_GET_CLASS(self)->populate(self, &target, &name, &width,
57 &height, error)) {
58 return FALSE;
59 }
60
61 opengl_texture->target = target;
62 opengl_texture->name = name;
63 opengl_texture->format = GL_RGBA8;
64 opengl_texture->destruction_callback = nullptr;
65 opengl_texture->user_data = nullptr;
66 opengl_texture->width = width;
67 opengl_texture->height = height;
68
69 return TRUE;
70 }

References error, height, target, TRUE, and width.

Referenced by fl_engine_gl_external_texture_frame_callback(), and TEST().

TRUE
return TRUE
Definition: fl_pixel_buffer_texture_test.cc:53
height
const uint8_t uint32_t uint32_t * height
Definition: fl_pixel_buffer_texture_test.cc:39
error
const uint8_t uint32_t uint32_t GError ** error
Definition: fl_pixel_buffer_texture_test.cc:40
target
uint32_t * target
Definition: fl_texture_registrar_test.cc:40
width
const uint8_t uint32_t * width
Definition: fl_pixel_buffer_texture_test.cc:38